DescribeCommandInvocations

1. API Description

This API (DescribeCommandInvocations) is used to query the command execution list.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

commandIds

No

Array of String

Query according to command ID.

invocationIds

No

Array of String

Query according to execution ID.

instanceIds

No

Array of String

Query according to instance ID.

invocationStatuses

No

Query according to execution status.

pageSize

No

Integer

Number of items in the current page result.

Default value: 20;

Maximum value: 10000.

Value range: [1, 10000]

pageNum

No

Integer

Number of pages returned.

Default value: 1.

Value range: [1, +).

Value range: [1, +)

Default value: 1

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

dataSet

Execution list.

totalCount

Integer

Number of executions meeting the filtering conditions.

4. Code Example

Query the command execution list according to execution ID.

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code

Error Code

Description

Last updated